<div class="search">
  <div>
    <span i18n>請選擇搜尋條件 : </span>
  </div>
  <div class="box">
    <p-radioButton name="searchType" value="appName" [(ngModel)]="appStoreReq.searchType" inputId="appName"></p-radioButton>
    <label for="appName" class="ml-2" i18n>應用程式</label>
  </div>

  <div class="box">
    <p-radioButton name="searchType" value="appId" [(ngModel)]="appStoreReq.searchType" inputId="appId"></p-radioButton>
    <label for="appId" class="ml-2" i18n>程式代號</label>
  </div>

  <div class="box">
    <input type="text" i18n-placeholder placeholder="請輸入關鍵字" pInputText [(ngModel)]="appStoreReq.searchValue"
      (keyup.Enter)="onSearchKeyUp()" />
  </div>

  <div class="box">
    <p-button (click)="onSearchKeyUp()" i18n>搜尋</p-button>
  </div>
</div>

<div class="table">
  <p-table [tableStyle]="tableStyle" [value]="appStores()">
    <ng-template pTemplate="header">
      <tr>
        <th i18n>程式代號</th>
        <th i18n>應用程式</th>
        <th i18n>版本</th>
        <th i18n>維護人員</th>
      </tr>
    </ng-template>
    <ng-template pTemplate="body" let-appStroe>
      <tr (click)="onRowItemClick(appStroe)">
        <td>{{ appStroe.appId }}</td>
        <td>{{ appStroe.appName }}</td>
        <td>{{ appStroe.versionNo }}</td>
        <td>{{ appStroe.systemUser }}</td>
      </tr>
    </ng-template>
  </p-table>

</div>
